Subject: bug#14569: 24.3.50; bootstrap fails on Cygwin

From: Jan Djärv <[email-masked]>
Date: Tue, 11 Jun 2013 22:58:00 +0200

Hello.

11 jun 2013 kl. 22:06 skrev Ken Brown <[email-masked]>:

> On 6/11/2013 3:53 PM, Eli Zaretskii wrote:
>>> Date: Tue, 11 Jun 2013 15:26:56 -0400
>>> From: Ken Brown <[email-masked]>
>>> CC: Eli Zaretskii <[email-masked]>, [email-masked],
>>>         [email-masked]
>>> 
>>> No.  This does not happen.  The Cygwin glib maintainer takes pains to
>>> patch the source if necessary to make sure that Cygwin is not treated
>>> like Windows.  See, for instance, the attached patch that is used in the
>>> Cygwin build.
>> 
>> So, in this patched glib, what does g_spawn_close_pid do, and under
>> what circumstances could it call 'abort'?
> 
> It does nothing.  So Jan's backtrace is suspect.  I don't know if that could result from optimization, but I'll build a non-optimized glib and see if I can get a more reliable backtrace.
> 

It is suspect, the error message does belong to g_private_set (frame #2).  Frame #1 should have been g_thread_abort.  If there is indeed a memory corruption, such as a stack overwrite, that might explain it.  Or it might just be that gdb is in error.

The build BTW, was un-optimized.

	Jan D.